Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.cache.interceptor
Class CacheInterceptor

    java.lang.Object
      org.springframework.cache.interceptor.CacheAspectSupport
          org.springframework.cache.interceptor.CacheInterceptor

All Implemented Interfaces:
  java.io.Serializable, org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor, InitializingBean

    public class CacheInterceptor

extends CacheAspectSupport
implements org.aopalliance.intercept.MethodInterceptor, java.io.Serializable

AOP Alliance MethodInterceptor for declarative cache management using the common Spring caching infrastructure (`Cache`).

Derives from the `CacheAspectSupport` class which contains the integration with Spring's underlying caching API. CacheInterceptor simply calls the relevant superclass methods in the correct order.

CacheInterceptors are thread-safe.

Since:
  3.1
Author:
  Costin Leau, Juergen Hoeller
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.cache.interceptor.CacheAspectSupport
`CacheAspectSupport.CacheOperationContext, CacheAspectSupport.Invoker`

Field Summary

Fields inherited from class org.springframework.cache.interceptor.CacheAspectSupport
`logger`

Constructor Summary
`CacheInterceptor()`

Method Summary
`java.lang.Object` | `invoke(org.aopalliance.intercept.MethodInvocation invocation)`

Methods inherited from class org.springframework.cache.interceptor.CacheAspectSupport
`afterPropertiesSet, execute, getCacheManager, getCacheOperationSource, getCaches, getKeyGenerator, getOperationContext, methodIdentification, setCacheManager, setCacheOperationSources, setKeyGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheInterceptor

    public CacheInterceptor()

Method Detail

### invoke

    public java.lang.Object invoke(org.aopalliance.intercept.MethodInvocation invocation)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD